Summary:	A couple of command line utilities for working with desktop entries
Summary(pl.UTF-8):	Narzędzia linii poleceń do pracy z plikami desktop
Name:		desktop-file-utils
Version:	0.27
Release:	1
License:	GPL v2+
Group:		Applications
Source0:	https://www.freedesktop.org/software/desktop-file-utils/releases/%{name}-%{version}.tar.xz
# Source0-md5:	fdf9215aea91acb6aebc43f770537f2c
URL:		https://www.freedesktop.org/wiki/Software/desktop-file-utils
BuildRequires:	glib2-devel >= 1:2.8.0
BuildRequires:	meson >= 0.49.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	glib2 >= 1:2.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
desktop-file-utils contains a couple of command line utilities for
working with desktop entries.

%description -l pl.UTF-8
Pakiet desktop-file-utils zawiera kilka narzędzi uruchamianych z linii
poleceń, służących do pracy z plikami desktop.

%package -n emacs-desktop-entry-mode
Summary:	Desktop entry mode for Emacs
Summary(pl.UTF-8):	Tryb plików desktop dla Emacsa
Group:		Applications/Editors
Requires:	%{name} = %{version}-%{release}
Requires:	emacs
BuildArch:	noarch

%description -n emacs-desktop-entry-mode
Desktop entry mode for Emacs.

%description -n emacs-desktop-entry-mode -l pl.UTF-8
Tryb plików desktop dla Emacsa.

%prep
%setup -q

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

%ninja_install -C build

touch $RPM_BUILD_ROOT%{_desktopdir}/mimeinfo.cache

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/desktop-file-edit
%attr(755,root,root) %{_bindir}/desktop-file-install
%attr(755,root,root) %{_bindir}/desktop-file-validate
%attr(755,root,root) %{_bindir}/update-desktop-database
%{_mandir}/man1/desktop-file-edit.1*
%{_mandir}/man1/desktop-file-install.1*
%{_mandir}/man1/desktop-file-validate.1*
%{_mandir}/man1/update-desktop-database.1*
%ghost %{_desktopdir}/mimeinfo.cache

%files -n emacs-desktop-entry-mode
%defattr(644,root,root,755)
%{_datadir}/emacs/site-lisp/desktop-entry-mode.el
%changelog
* Sat Oct 07 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/desktop-file-utils.git;a=log;h=master

* Fri Oct 06 2023 Jan Palus <atler@pld-linux.org> d97f9fb
- up to 0.27

* Fri Oct 06 2023 Jan Palus <atler@pld-linux.org> 1343d59
- rpm version for noarch subpackage

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> bb336de
- unconditional noarch subpackages

* Mon Jul 06 2020 Jakub Bogusz <qboosh@pld-linux.org> 6cce643
- updated rpm version for noarch

* Wed Jun 24 2020 Jan Palus <atler@pld-linux.org> eeddde6
- up to 0.26

* Wed Jul 31 2019 Jakub Bogusz <qboosh@pld-linux.org> 3ea74b0
- package desktop-entry-mode for emacs

* Tue Jul 30 2019 Jan Palus <atler@pld-linux.org> 183956f
- up to 0.24

* Sat Jun 25 2016 Jakub Bogusz <qboosh@pld-linux.org> 893ca13
- updated to 0.23

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 4f9fbc5
- x32 rebuild
- release 2 (by relup.sh)

* Tue Sep 10 2013 Jakub Bogusz <qboosh@pld-linux.org> 5d5daa2
- updated to 0.22

* Sat Oct 13 2012 Jakub Bogusz <qboosh@pld-linux.org> efd54e2
- updated to 0.21

* Tue Jul 24 2012 Łukasz Kieś <kiesiu@pld-linux.org> b906822
- updated to 0.20
- use *.xz sources

* Sat Jan 29 2011 Jakub Bogusz <qboosh@pld-linux.org> 4de60ac
- package man files (why even ask about it?) and NEWS
- better pl desc
- disable silent-rules instead of static (which did nothing)
- ac/am versions, runtime glib dependency

* Mon Jan 24 2011 Caleb Maclennan <caleb@alerque.com> 09709f9
- Up to 0.18

* Mon Oct 18 2010 Caleb Maclennan <caleb@alerque.com> c8ccc9a
- Up to 0.17

* Mon Mar 15 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> c085a89
- up to 0.16

* Thu Mar 20 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 7378781
- updated to 0.15

* Wed Dec 19 2007 Elan Ruusamäe <glen@pld-linux.org> ca225bf
- rel 3

* Wed Dec 19 2007 Elan Ruusamäe <glen@pld-linux.org> f7d742d
- package %{_desktopdir}/mimeinfo.cache; rel 2

* Thu Sep 27 2007 Marcin Banasiak <marcin.banasiak@gmail.com> e90f4e1
- updated to 0.14

